=== modified file 'databas.sql'
--- databas.sql	2013-04-24 09:25:43 +0000
+++ databas.sql	2013-04-24 10:49:33 +0000
@@ -26,7 +26,7 @@
 CREATE  TABLE IF NOT EXISTS `lenasys`.`Courses` (
   `courseID` VARCHAR(10) NOT NULL ,
   `name` VARCHAR(45) NULL ,
-  `courseData` VARCHAR(10) NULL , -- Short explenation about course, example: G1N 7,5hp
+  `courseData` VARCHAR(128) NULL , -- explenation about course, example: G1N 7,5hp  + additional text
   PRIMARY KEY (`courseID`))
 ENGINE = InnoDB;
 
@@ -276,100 +276,77 @@
 ('lärare','Kalle Lärare',sha1('Syp9393'),'Syp och året då Sverige först tillåter kommersiell radio x2',1,'19800385-2325');
 
 INSERT INTO `Courses`(`courseID`, `name`, `courseData`) 
-VALUES('DA133G'  , ' Webbutveckling - datorgrafik G1N' , ' 7,5hp (IKI)'),
-('d1popcrn'  , ' Webbutveckling - Läran om Gson' , ' 7,5hp (IKI)'),
-('DAG123'  , ' Webbutveckling - Nånting' , ' 7,5hp (IKI)');
+VALUES('DA133G'  , 'Webbutveckling - datorgrafik G1N' , ' 7,5hp (IKI)'),
+('d1popcrn'  , 'Webbutveckling - Läran om Gson' , ' 7,5hp (IKI)'),
+('DAG123'  , 'Webbutveckling - Nånting' , ' 7,5hp (IKI)');
 
 INSERT INTO `StudentCourseRegistrations`(`courseOccasion`, `userName`, `courseID`) 
 VALUES ('HT2012 period 2','student','d1popcrn'),
 ('HT2012 period 2','student','DA133G'),
-('HT2012 period 2','student2','d1popcrn');
+('HT2012 period 2','student2','d1popcrn'),
+('HT2012 period 2','student2','DAG123');
 
 INSERT INTO `Categories`(`categoryName`, `courseID`, `orderNr`) 
 VALUES ('Vektorgrafik','DA133G', 1),
 ('Shading','DA133G', 2),
 ('3D','DA133G', 3),
-('tidigt 90-tal','d1popcrn', 1),
-('categorie i nånting','DAG123', 1),
-('categorie i någontingen mer','d1popcrn', 2);
+('Tidigt 90-tal','d1popcrn', 1),
+('Categorie i nånting','DAG123', 1),
+('Categorie i någontingen mer','DAG123', 2);
 
 INSERT INTO `SubCategories`(`subCategoryName`, `categoryName`, `courseID`, `orderNr`) 
-VALUES ('punkt' ,'Vektorgrafik','DA133G', 1),
-('linjer' ,'Vektorgrafik','DA133G', 2),
-('böjningar' ,'Vektorgrafik','DA133G', 3),
+VALUES ('Punkt' ,'Vektorgrafik','DA133G', 1),
+('Linjer' ,'Vektorgrafik','DA133G', 2),
+('Böjningar' ,'Vektorgrafik','DA133G', 3),
 ('Vertexshading','Shading','DA133G', 1),
-('globalshading','Shading','DA133G', 2),
-('bra 3d' , '3D','DA133G', 1),
-('dålig 3d' , '3D','DA133G', 2),
-('Smurfhits','tidigt 90-tal','d1popcrn', 1),
-('NES','tidigt 90-tal','d1popcrn', 2),
-('Sovmorgon','tidigt 90-tal','d1popcrn', 3),
-('subcategorie i nånting' ,'categorie i nånting','DAG123', 1),
-('subcategorie2 i nånting' ,'categorie i nånting','DAG123', 2),
-('subcategorie i nåntingen mer', 'categorie i någontingen mer','d1popcrn', 1),
-('subcategorie2 i nåntingen mer', 'categorie i någontingen mer','d1popcrn', 2);
-
-/*
-INSERT INTO Quizzes(`quizNr`, `subCategoryName`, `categoryName`, `courseID`, `quizData`, `allowMultipleReplies`, autoCorrected`, `openingDate`,`closingDate` ) 
-VALUES(1,'punkt' ,'Vektorgrafik','DA133G',  );
-
-
-  `quizNr` INT NOT NULL ,
-  `subCategoryName` VARCHAR(64) NOT NULL ,
-  `categoryName` VARCHAR(64) NOT NULL ,
-  `courseID` VARCHAR(10) NOT NULL ,
-  `quizData` VARCHAR(45) NULL ,
-  `allowMultipleReplies` BIT NULL , -- 1=true and 0=false
-  `autoCorrected` BIT NULL , -- if the quiz is corrected by auto or if the teacher needs to do it manually., 1=true and 0=false
-  `openingDate` DATETIME NULL ,  -- time for the student to do the quiz
-  `closingDate` DATETIME NULL ,
-INSERT INTO QuizVariant(quizNr, qVarNr, quizCourseName, correctAnswer, quizObjectIDs) 
-VALUES(1,1,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','1,2,3,4,5,6,7,8','TEST1 TEST2 TEST3 TEST4');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData) 
-VALUES('TEST1',1,1,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<div id="TEST1"><p>Du ska göra bla bla...</p></div>');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData) 
-VALUES('TEST2',1,1,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<div id="TEST2"><strong>1 2 3 4 5</strong></div>');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData) 
-VALUES('TEST3',1,1,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<script lang="Javascript">alert("TEST3");</script>');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData) 
-VALUES('TEST4',1,1,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<script lang="Javascript">alert("&lt;TEST4");</script>');
-
-INSERT INTO QuizVariant(quizNr, qVarNr, quizCourseName, correctAnswer, quizObjectIDs) 
-VALUES(1,2,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','8,7,6,5,4,3,2,1','TEST1 TEST2 TEST3 TEST4');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData) 
-VALUES('TEST1',1,2,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<div id="TEST1"><p>Variant 2 på dugga 1</p></div>');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData) 
-VALUES('TEST2',1,2,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<div id="TEST2"><strong>1111 2222 33333</strong></div>');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData) 
-VALUES('TEST3',1,2,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<script lang="Javascript">alert("TEST3 Var2");</script>');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData) 
-VALUES('TEST4',1,2,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<script lang="Javascript">alert("&lt;TEST4 Var2");</script>');
-
-INSERT INTO Quiz(nr, courseName, opening, closing, autoCorrected, quizData) 
-VALUES(2,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','2012-08-19 00:00:00','2012-08-28 00:00:00',0,'<div id="dugga"><h1>Dugga 2 för en kurs</h1><p>Duggan ditten och duggan datten</p></div>');
-
-INSERT INTO QuizVariant(quizNr, qVarNr, quizCourseName, correctAnswer, quizObjectIDs) 
-VALUES(2,1,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','1,2,3,4,5,6,7,8','TEST1 TEST2 TEST3 TEST4');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData) 
-VALUES('TEST1',2,1,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<div id="TEST1"><p>I dugga 2 variant 1 ska bla bla...</p></div>');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData) 
-VALUES('TEST2',2,1,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<div id="TEST2"><strong>--!!--!!--!!--</strong></div>');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData) 
-VALUES('TEST3',2,1,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<script lang="Javascript">alert("TEST3 d2 var1");</script>');
-
-INSERT INTO QuizVariantObject(id, quizNr, qVarNr, quizCourseName, objectData)VALUES('TEST4',2,1,'DA133G Webbutveckling - datorgrafik G1N, 7,5hp (IKI)','<script lang="Javascript">alert("&lt;TEST4 d2 var1");</script>');
-*/
+('Globalshading','Shading','DA133G', 2),
+('Bra 3d' , '3D','DA133G', 1),
+('Dålig 3d' , '3D','DA133G', 2),
+('Smurfhits','Tidigt 90-tal','d1popcrn', 1),
+('NES','Tidigt 90-tal','d1popcrn', 2),
+('Sovmorgon','Tidigt 90-tal','d1popcrn', 3),
+('Subcategorie i nånting' ,'Categorie i nånting','DAG123', 1),
+('Subcategorie2 i nånting' ,'Categorie i nånting','DAG123', 2),
+('Subcategorie i nåntingen mer', 'Categorie i någontingen mer','DAG123', 1),
+('Subcategorie2 i nåntingen mer', 'Categorie i någontingen mer','DAG123', 2);
+
+
+
+INSERT INTO Quizzes(`quizNr`, `subCategoryName`, `categoryName`, `courseID`, `quizData`, `allowMultipleReplies`,`autoCorrected`, `openingDate`,`closingDate` ) 
+VALUES(1,'punkt' ,'Vektorgrafik','DA133G','Svara så gott du kan, lycka till',1,1, '2013-05-20 08:00:00','2013-05-25 23:59:00'),
+(2,'punkt' ,'Vektorgrafik','DA133G','Lol glhf',1,1, '2013-05-20 08:00:00','2013-05-25 23:59:00'),
+(3,'punkt' ,'Vektorgrafik','DA133G','ajaja detta kommer nu gå bra *NAWHT*',1,1, '2013-05-20 08:00:00','2013-05-25 23:59:00'),
+(1,'linjer' ,'Vektorgrafik','DA133G','happ happ lycka till',1,1, '2013-05-20 08:00:00','2013-05-25 23:59:00');
+  
+ INSERT INTO QuizQuestions(`questionID`, `quizNr`, `subCategoryName`, `categoryName`, `courseID`, `questionData`, `correctAnswer`) 
+ VALUES(1,1,'punkt' ,'Vektorgrafik','DA133G','vad är roten av pi plus solens massa?','inte vet jag lol'),
+(2,1,'punkt' ,'Vektorgrafik','DA133G','hur mår du?','Bra som bara den');
+
+INSERT INTO Examples(`exampleName`, `subCategoryName`, `categoryName`, `courseID`, `orderNr`, `description`) 
+VALUES('punkt example 1','punkt' ,'Vektorgrafik','DA133G',1,'nån sorts förklaring om punkter'),
+('punkt example 2','punkt' ,'Vektorgrafik','DA133G',2,'nån sorts förklaring om punkter i example 2'),
+('ett till exempel inom punkt','punkt' ,'Vektorgrafik','DA133G',3,'nån sorts förklaring om punkter igen'),
+('linjer example 1','linjer' ,'Vektorgrafik','DA133G',1,'nån sorts förklaring om linjer');
+
+INSERT INTO Files(`fileName`,`fileType`,`codeLanguage`, `dataBlob`) 
+VALUES('exempel fil1',1,'html','Lorem ipsum dolor sit amet, consectetur adipiscing elit. 
+Phasellus a tellus lacus, a dapibus velit. Integer ac lorem dui, nec condimentum purus. Nullam convallis erat a 
+mauris pulvinar adipiscing. In consectetur, odio sit amet dictum pulvinar, erat risus condimentum mi, eu eleifend 
+dolor est id elit. Pellentesque eu tellus sed sem molestie fringilla. Integer auctor arcu nec nunc pharetra non 
+consectetur augue viverra. Pellentesque lorem nisl, tristique sed lobortis et, tincidunt sit amet diam. Maecenas 
+lacinia laoreet ligula, eget pretium libero venenatis malesuada. Suspendisse eu velit in arcu consectetur dictum a quis orci. 
+Maecenas vulputate tincidunt odio sit amet interdum. Curabitur non ante tristique mi malesuada dictum at quis nunc. 
+Suspendisse ornare leo a elit egestas eu rutrum lorem cursus. Quisque sollicitudin, nisi eget consectetur auctor, 
+leo risus blandit eros, id aliquet purus tortor a turpis. Donec venenatis blandit est quis imperdiet. Sed mauris eros, 
+pharetra vitae tempus vel, pretium at purus.'),
+
+('exempel fil2',1,'html','Donec sed turpis ante, et dapibus augue. Pellentesque habitant morbi tristique 
+senectus et netus et malesuada fames ac turpis egestas. Sed at tellus ante. Nunc non dolor ipsum, quis lacinia felis. 
+Sed tristique, leo eu imperdiet laoreet, lacus lacus porta purus, quis laoreet nisi sem non orci. In non consequat enim. 
+Donec lacinia auctor convallis. Nulla facilisi. Nulla tortor mi, accumsan vel cursus nec, porta nec ante.
+ Aenean venenatis elit vel sem sodales vulputate. Donec adipiscing porta tortor, sed sollicitudin erat dapibus id');
+
+
 -- -----------------------------------------------------
 -- allow maximum of 5 succesfull quiz-attemps is a good begining for implementation of the loggingtables to add restriction. 
 -- ska courseID i ContainerFiles vara foreignkey ifrån contaiers??
\ No newline at end of file

